all repos — tint2 @ 5d11fe5cc1bf42ed32e6a3cac86a9b05a1397d12

fork of the tint2 desktop panel for my custom setup - only minimized windows across all desktops for the taskbar

Yet another fix for git version script
o9000 o9000
commit

5d11fe5cc1bf42ed32e6a3cac86a9b05a1397d12

parent

233157930b1aba9ac72e659b72f07375cca674ea

1 files changed, 7 insertions(+), 3 deletions(-)

jump to
M get_version.shget_version.sh

@@ -1,5 +1,7 @@

#!/bin/sh +DIRTY="" + git update-index -q --ignore-submodules --refresh # Disallow unstaged changes in the working tree if ! git diff-files --quiet --ignore-submodules --

@@ -10,7 +12,7 @@ echo >&2 "Error: there are unstaged changes."

git diff-files --name-status -r --ignore-submodules -- >&2 exit 1 else - echo "dirty" + DIRTY="-dirty" fi fi

@@ -23,8 +25,10 @@ echo >&2 "Error: there are uncommitted changes."

git diff-index --cached --name-status -r --ignore-submodules HEAD -- >&2 exit 1 else - echo "dirty" + DIRTY="-dirty" fi fi -git describe --exact-match 2>/dev/null || echo "0.11-git$(git show -s --pretty=format:%cI.%h | tr -d ':' | tr -d '-' | tr '.' '-' | sed 's/T[0-9\+]*//g')" +VERSION=$(git describe --exact-match 2>/dev/null || echo "0.11-git$(git show -s --pretty=format:%cI.%h | tr -d ':' | tr -d '-' | tr '.' '-' | sed 's/T[0-9\+]*//g')")$DIRTY + +echo '#define VERSION_STRING "'$VERSION'"' > version.h